# Interface ImmutableReferenceInput

#### Hierarchy

- ImmutableReferenceInput

- Defined in packages/db/typings/schema.d.ts:351

#####
Index

### Properties

astNode
bytecode
length
offsets

## Properties

### astNode

astNode: string

- Defined in packages/db/typings/schema.d.ts:352

### bytecode

bytecode: ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:353

### length

length: number

- Defined in packages/db/typings/schema.d.ts:354

### offsets

offsets: any[]

- Defined in packages/db/typings/schema.d.ts:355

Generated using TypeDoc